Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling
[Java] Class GradleConnector

    java.lang.Object
      org.gradle.tooling.GradleConnector

    public class GradleConnector

A `GradleConnector` is the main entry point to the Gradle tooling API. You use this API as follows:

1. Call newConnector() to create a new connector instance.
2. Configure the connector.
3. Call connect() to create the connection to a build.
4. Optionally reuse the connector to create additional connections.
5. When finished with the connections, call close() to clean up.

`GradleConnector` instances are not thread-safe.

Method Summary
`void` | `close()` Closes this connector and all connections created by it.
`BuildConnection` | `connect()` Creates a connection to the build in the specified project directory.
`GradleConnector` | `forProjectDirectory(java.io.File projectDir)` Specifies the working directory to use.
`static GradleConnector` | `newConnector()` Creates a new connector instance.
`GradleConnector` | `useDistribution(java.net.URI gradleDistribution)` Specifies which Gradle distribution to use.
`GradleConnector` | `useGradleVersion(java.lang.String gradleVersion)` Specifies which Gradle version to use.
`GradleConnector` | `useInstallation(java.io.File gradleHome)` Specifies which Gradle installation to use.

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Method Detail

### close

    public void close()

  Closes this connector and all connections created by it.

### connect

    public BuildConnection connect()

  Creates a connection to the build in the specified project directory.
  throws:
    UnsupportedVersionException When the target Gradle version does not support this version of the tooling API.
  throws:
    GradleConnectionException On failure to establish a connection with the target Gradle version.
  Returns:
    The connection. Never return null.

### forProjectDirectory

    public GradleConnector forProjectDirectory(java.io.File projectDir)

  Specifies the working directory to use.
  Parameters:
    `projectDir` - The working directory.
  Returns:
    this

### newConnector

    public static GradleConnector newConnector()

  Creates a new connector instance.
  Returns:
    The instance. Never returns null.

### useDistribution

    public GradleConnector useDistribution(java.net.URI gradleDistribution)

  Specifies which Gradle distribution to use. The appropriate distribution is downloaded and installed into the user's Gradle home directory. This replaces any value specified using useInstallation(java.io.File) or useGradleVersion(String).
  Parameters:
    `gradleDistribution` - The distribution to use.
  Returns:
    this

### useGradleVersion

    public GradleConnector useGradleVersion(java.lang.String gradleVersion)

  Specifies which Gradle version to use. The appropriate distribution is downloaded and installed into the user's Gradle home directory. This replaces any value specified using useInstallation(java.io.File) or useDistribution(java.net.URI).
  Parameters:
    `gradleVersion` - The version to use.
  Returns:
    this

### useInstallation

    public GradleConnector useInstallation(java.io.File gradleHome)

  Specifies which Gradle installation to use. This replaces any value specified using useDistribution(java.net.URI) or useGradleVersion(String).
  Parameters:
    `gradleHome` - The Gradle installation directory.
  Returns:
    this

Groovy Documentation